Bug 823591 - Allow "Internal Default Group" as target in condor_configure_pool
Allow "Internal Default Group" as target in condor_configure_pool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
low Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
: Regression
Depends On: 802510
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 11:13 EDT by Martin Kudlej
Modified: 2013-03-19 12:41 EDT (History)
8 users (show)

See Also:
Fixed In Version: condor-wallaby-5.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 719052
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2012-05-21 11:13:21 EDT
+++ This bug was initially created as a clone of Bug #719052 +++

Description of problem:
The condor_configure_pool tool hides the name of the default group and displays "Internal Default Group" for each instance it would appear to the user.  However, the condor_configure_pool tool only allows --default-group as a target for acting upon the default group.  Should allow -g "Internal Default Group" as well.

The tools are rewritten and they've lost this functionality.
Maybe it is connected with bug 823589 but i don't think so.

Version-Release number of selected component (if applicable):
wallaby-utils-0.14.1-1.el5
condor-wallaby-base-db-1.21-1.el5
python-wallabyclient-5.0.1-3.el5
ruby-condor-wallaby-tools-5.0.1-3.el5
condor-wallaby-tools-5.0.1-3.el5
wallaby-0.14.1-1.el5
condor-wallaby-client-5.0.1-3.el5
ruby-wallaby-0.14.1-1.el5
python-wallaby-0.14.1-1.el5

condor_configure_pool -l -v -g "Internal Default Group"
Console Connection Established...
warning:  group Internal Default Group does not exist
Comment 3 Robert Rati 2012-09-19 15:04:33 EDT
condor_configure_pool now accepts "internal default group" as a target.

Fixed upstream on:
BZ823591-internal-default-group-target
Comment 6 Tomas Rusnak 2012-11-27 10:48:53 EST
Retested with: 

python-wallaby-0.16.1-2.el6.noarch
condor-wallaby-base-db-1.24-2.el6.noarch
condor-wallaby-client-5.0.3-2.el6.noarch
ruby-wallaby-0.16.1-2.el6.noarch
condor-wallaby-tools-5.0.3-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
python-wallabyclient-5.0.3-2.el6.noarch
wallaby-0.16.1-2.el6.noarch
ruby-condor-wallaby-5.0.3-2.el6.noarch

condor_configure_pool -l -v -g "Internal Default Group"
Console Connection Established...
Showing the following group: +++DEFAULT
+++DEFAULT
  name:  "+++DEFAULT"
  membership:  []
  features:  ["NodeAccess", "Master"]
  params:  {"CONDOR_HOST"=>"node1", "ALLOW_READ"=>"*", "QMF_BROKER_HOST"=>"node1", "ALLOW_WRITE"=>"*", "START"=>"true"}
  annotation:  "The default group"

The ccp is accepting "Internal Default Group" as a group parameter value.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.